Bug 234461 - x11/kde5: more GCC-related fixes
Summary: x11/kde5: more GCC-related fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-28 12:47 UTC by Piotr Kubaj
Modified: 2019-01-01 13:47 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (21.59 KB, patch)
2018-12-28 12:47 UTC, Piotr Kubaj
no flags Details | Diff
v2 (21.62 KB, patch)
2018-12-30 16:16 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-28 12:47:06 UTC
Created attachment 200576 [details]
patch

More USES=compiler:c++11-lang and some excludes for qt5-webengine on !{amd64,i386}.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Tobias C. Berner freebsd_committer 2018-12-29 20:23:14 UTC
Moin moin

Could you regenerate it against the current tree (after the cmake:outsource->cmake) change.


mfg Tobias
Comment 2 Piotr Kubaj freebsd_committer 2018-12-30 16:16:54 UTC
Created attachment 200624 [details]
v2

Can you try that?
Comment 3 commit-hook freebsd_committer 2018-12-30 17:15:48 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 30 17:15:13 UTC 2018
New revision: 488723
URL: https://svnweb.freebsd.org/changeset/ports/488723

Log:
  More GCC-related fixes in kde@ ports

  PR:		234461
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/audio/cantata/Makefile
  head/audio/kwave/Makefile
  head/deskutils/kfind/Makefile
  head/devel/dolphin-plugins/Makefile
  head/devel/kdesvn/Makefile
  head/editors/kile/Makefile
  head/games/kgoldrunner/Makefile
  head/games/kreversi/Makefile
  head/games/ksnakeduel/Makefile
  head/games/kspaceduel/Makefile
  head/games/kubrick/Makefile
  head/games/lskat/Makefile
  head/graphics/kgraphviewer/Makefile
  head/graphics/kimagemapeditor/Makefile
  head/graphics/qt5-wayland/Makefile
  head/irc/konversation/Makefile
  head/irc/kvirc/Makefile
  head/lang/kross-interpreters/Makefile
  head/misc/ktouch/Makefile
  head/multimedia/mlt/Makefile
  head/multimedia/phonon-designerplugin/Makefile
  head/multimedia/phonon-vlc/Makefile
  head/net/kget/Makefile
  head/net/zeroconf-ioslave/Makefile
  head/security/kleopatra/Makefile
  head/sysutils/k3b/Makefile
  head/sysutils/kbackup/Makefile
  head/sysutils/sweeper/Makefile
  head/textproc/kdiff3/Makefile
  head/x11/rsibreak/Makefile
Comment 4 commit-hook freebsd_committer 2018-12-30 17:34:06 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 30 17:34:02 UTC 2018
New revision: 488725
URL: https://svnweb.freebsd.org/changeset/ports/488725

Log:
  astro/marble: make webengine optional (used for non i386/amd64 architectures)

  PR:		234461
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/astro/marble/Makefile
  head/astro/marble/files/patch-CMakeLists.txt
  head/astro/marble/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-12-30 17:47:19 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 30 17:46:22 UTC 2018
New revision: 488726
URL: https://svnweb.freebsd.org/changeset/ports/488726

Log:
  databases/kbibtex: make webengine optional (used for non i386/amd64 architectures)

  - switch to useing WebKit if WebEngine is deselected

  PR:		234461
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/databases/kbibtex/Makefile
Comment 6 commit-hook freebsd_committer 2018-12-30 17:57:29 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 30 17:57:00 UTC 2018
New revision: 488727
URL: https://svnweb.freebsd.org/changeset/ports/488727

Log:
  math/kalgebra: make webengine optional (used for non i386/amd64 architectures)

  PR:		234461
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/math/kalgebra/Makefile
  head/math/kalgebra/pkg-plist
Comment 7 commit-hook freebsd_committer 2018-12-30 18:00:34 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 30 17:59:53 UTC 2018
New revision: 488728
URL: https://svnweb.freebsd.org/changeset/ports/488728

Log:
  net/akonadi-contacts: remove unnecessary dependency on Qt5Webengine

  PR:		234461
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/net/akonadi-contacts/Makefile
Comment 8 Tobias C. Berner freebsd_committer 2018-12-30 18:01:04 UTC
OK, everything committed, with minor changes.
Comment 9 commit-hook freebsd_committer 2019-01-01 13:47:30 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jan  1 13:46:30 UTC 2019
New revision: 488891
URL: https://svnweb.freebsd.org/changeset/ports/488891

Log:
  multimedia/mlt: move USES=gl to the master port only

   * r488723 introduced USES=gl globally, which made the slave ports mlt-qt[45] ignored

  PR:		234461

Changes:
  head/multimedia/mlt/Makefile